CGI::Session::Serialize::storable(3)

NAME
CGI::Session::Serialize::storable - Serializer for CGI::Session

DESCRIPTION
This library can be used by CGI::Session to serialize session data. Uses Storable.

METHODS

freeze($class, \%hash)
    Receives two arguments. First is the class name, the second is the data to be serialized. Should return serialized string on success, undef on failure. Error message should be set using "set_error()|CGI::Session::ErrorHandler/"set_error()""

thaw($class, $string)
    Receives two arguments. First is the class name, second is the frozen data string. Should return thawed data structure on success, undef on failure. Error message should be set using "set_error()|CGI::Session::ErrorHandler/"set_error()""

LICENSING
For support and licensing see CGI::Session